/*
	Define piece sets

*/

#define NO_PIECE_SET	11

#define NON_PS		-1
#define LFT_PS		0
#define RGT_PS		1
#define TOP_PS		2
#define BOT_PS		3
#define HOR_PS		4
#define VER_PS		5
#define MID_PS		6
#define B_L_PS		7
#define B_R_PS		8
#define T_L_PS		9
#define T_R_PS		10

PieceSet	piece_set_cross[NO_PIECE_SET]=
		    {
		    {		/* LFT_PS */
			1,
			{CROSS,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* RGT_PS */
			1,
			{CROSS,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* TOP_PS */
			1,
			{CROSS,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* BOT_PS */
			1,
			{CROSS,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* HOR_PS */
			1,
			{CROSS,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* VER_PS */
			1,
			{CROSS,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* MID_PS */
			1,
			{CROSS,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* B_L_PS */
			1,
			{LEFTUP,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* B_R_PS */
			1,
			{RIGHTUP,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* T_L_PS */
			1,
			{LEFTDOWN,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* T_R_PS */
			1,
			{RIGHTDOWN,BLANK,BLANK,BLANK,BLANK}
		    }
		    };


PieceSet	piece_set_rnd[NO_PIECE_SET]=
		    {
		    {		/* LFT_PS */
			4,
			{ACROSS,CROSS,RIGHTDOWN,RIGHTUP,BLANK}
		    },

		    {		/* RGT_PS */
			4,
			{ACROSS,CROSS,LEFTDOWN,LEFTUP,BLANK}
		    },

		    {		/* TOP_PS */
			4,
			{UPDOWN,CROSS,LEFTDOWN,RIGHTDOWN,BLANK}
		    },

		    {		/* BOT_PS */
			4,
			{UPDOWN,CROSS,LEFTUP,RIGHTUP,BLANK}
		    },

		    {		/* HOR_PS */
			2,
			{ACROSS,CROSS,BLANK,BLANK,BLANK}
		    },

		    {		/* VER_PS */
			2,
			{UPDOWN,CROSS,BLANK,BLANK,BLANK}
		    },

		    {		/* MID_PS */
			1,
			{CROSS,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* B_L_PS */
			1,
			{LEFTUP,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* B_R_PS */
			1,
			{RIGHTUP,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* T_L_PS */
			1,
			{LEFTDOWN,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* T_R_PS */
			1,
			{RIGHTDOWN,BLANK,BLANK,BLANK,BLANK}
		    }
		    };


PieceSet	piece_set_no_rnd[NO_PIECE_SET]=
		    {
		    {		/* LFT_PS */
			1,
			{ACROSS,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* RGT_PS */
			1,
			{ACROSS,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* TOP_PS */
			1,
			{UPDOWN,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* BOT_PS */
			1,
			{UPDOWN,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* HOR_PS */
			1,
			{ACROSS,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* VER_PS */
			1,
			{UPDOWN,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* MID_PS */
			1,
			{CROSS,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* B_L_PS */
			1,
			{LEFTUP,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* B_R_PS */
			1,
			{RIGHTUP,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* T_L_PS */
			1,
			{LEFTDOWN,BLANK,BLANK,BLANK,BLANK}
		    },

		    {		/* T_R_PS */
			1,
			{RIGHTDOWN,BLANK,BLANK,BLANK,BLANK}
		    }
		    };


/* END OF FILE */
